summaryrefslogtreecommitdiffstats
path: root/misc/flashrom
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2012-08-11 09:55:36 -0300
committer Robby Workman <rworkman@slackbuilds.org>2012-08-14 22:30:35 -0500
commitcc0d329aafc2d8d26321df805ac717d923a3139e (patch)
tree395485d1b0a811a706c35da4f1bddea7186661e4 /misc/flashrom
parent17082987e56b46bbfbeea1bbc4c74b745af08f29 (diff)
downloadslackbuilds-cc0d329aafc2d8d26321df805ac717d923a3139e.tar.gz
slackbuilds-cc0d329aafc2d8d26321df805ac717d923a3139e.tar.xz
misc/flashrom: Added (read/write/verify/erase flash ROM chips)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'misc/flashrom')
-rw-r--r--misc/flashrom/README3
-rw-r--r--misc/flashrom/flashrom.SlackBuild97
-rw-r--r--misc/flashrom/flashrom.info10
-rw-r--r--misc/flashrom/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/misc/flashrom/README b/misc/flashrom/README
new file mode 100644
index 0000000000..b1388ffd8e
--- /dev/null
+++ b/misc/flashrom/README
@@ -0,0 +1,3 @@
+flashrom is a utility for reading, writing, verifying and erasing
+flash ROM chips. It's often used to flash BIOS/EFI/coreboot/firmware
+images. flashrom is part of the coreboot project.
diff --git a/misc/flashrom/flashrom.SlackBuild b/misc/flashrom/flashrom.SlackBuild
new file mode 100644
index 0000000000..b9d5793833
--- /dev/null
+++ b/misc/flashrom/flashrom.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for flashrom
+
+# Copyright 2009 Niklas "Nille" Åkerström
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Currently maintained by Robby Workman <rw@rlworkman.net>
+
+PRGNAM=flashrom
+VERSION=${VERSION:-0.9.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make \
+ PREFIX=/usr \
+ MANDIR=/usr/man \
+ CFLAGS="$SLKCFLAGS -Wall -Wshadow"
+
+make install \
+ PREFIX=/usr \
+ MANDIR=/usr/man \
+ DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING README Documentation/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/flashrom/flashrom.info b/misc/flashrom/flashrom.info
new file mode 100644
index 0000000000..bc200ca022
--- /dev/null
+++ b/misc/flashrom/flashrom.info
@@ -0,0 +1,10 @@
+PRGNAM="flashrom"
+VERSION="0.9.6.1"
+HOMEPAGE="http://www.coreboot.org/Flashrom"
+DOWNLOAD="http://download.flashrom.org/releases/flashrom-0.9.6.1.tar.bz2"
+MD5SUM="407e836c0a2b17ec76583cb6809f65e5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="Niels Horn"
diff --git a/misc/flashrom/slack-desc b/misc/flashrom/slack-desc
new file mode 100644
index 0000000000..2a49ad926b
--- /dev/null
+++ b/misc/flashrom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+flashrom: flashrom (utility to read/write/verify/erase flash ROM chips)
+flashrom:
+flashrom: flashrom is a utility for reading, writing, verifying and erasing
+flashrom: flash ROM chips. It's often used to flash BIOS/EFI/coreboot/firmware
+flashrom: images. flashrom is part of the coreboot project.
+flashrom:
+flashrom: Homepage: http://www.coreboot.org/Flashrom
+flashrom:
+flashrom:
+flashrom:
+flashrom: